> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/introduction/key-concepts/specifiers.md).

# Specifiers

**Specifiers** provide a consistent and descriptive way to define additional parameters that uniquely identify a market.\
In the Unified Feed, specifiers are sent as **key/value** pairs separated by the `|` symbol.\
For example, in a cricket match, the specifier string `overnr=5|total=2.5` indicates an over/under bet with a total of 2.5 runs placed on the 5th over of the match.

You can find all market descriptions at: `/descriptions/{language}/markets.xml`

```xml
<market id="357" name="{!inningnr} innings over {overnr} - {$competitor2} total" groups="all|score|over">
    <outcomes>
        <outcome id="13" name="under {total}"/>
        <outcome id="12" name="over {total}"/>
    </outcomes>
    <specifiers>
        <specifier name="inningnr" type="integer"/>
        <specifier name="overnr" type="integer"/>
        <specifier name="total" type="decimal"/>
    </specifiers>
</market>
```

#### Extended Specifiers <a href="#uofspecifiers-extendedspecifiers" id="uofspecifiers-extendedspecifiers"></a>

In addition to the [specifier](/uof/introduction/key-concepts/specifiers.md), some markets have an extended specifier attribute to add an extra layer of information. This extended specifier is NOT a unique way to identify a market, but simply more extra information added to certain markets:

XML example

```xml
<market status="0" id="8" specifiers="goalnr=2" extended_specifiers="score=0:1"/>
<market favourite="1" status="-1" id="8" specifiers="goalnr=3" extended_specifiers="score=1:1"> <outcome id="6" odds="2.95" probabilities="0.3" active="1"/> <outcome id="7" odds="6.0" probabilities="0.14" active="1"/> <outcome id="8" odds="1.65" probabilities="0.56" active="1"/> </market>
```

Please note that not all markets have extended specifiers, and this attribute should not be used to identify a unique market. Only the market ID and the normal market specifier should be used for this purpose.

### Match Market Specifier

For each H2H market an "**artificial**" match is created that contains the details about competitors from H2H, etc. The market on `sr:simple_tournament` contains the specifier that contains the reference to the "artificial" match called the match market specifier. This is represented by `sr:matchmarket:1111111123`

Consider ***sr:simple\_tournament:1910*****&#x20;(H2H - Race - Drivers for Formula 1)** and market **539** with specifier `sr:matchmarket:18377109`*. Y*ou can see that it reference to match **18377109**. If you check fixture for that match it has the following properties:

* Tournament: sr:simple\_tournament:1910
* Scheduled at 2019-06-07T14:00:00
* Competitors: Hamilton, Lewis vs. Bottas, Valtteri

**Special note for Formula 1**

Until now `sr:simple_tournament:1910`, `sr:simple_tournament:1911`, and `sr:simple_tournament:1944` were used as event id for head2head markets. Instead of referencing head2head markets to the mentioned `sr:simple_tournaments`, we will from now on use `sr:stage:<id>` as event id for those markets in Formula 1.

Example from the previous Formula 1 season using sr:simple\_tournament

```xml
<tournament id="sr:simple_tournament:1910" name="H2H - Race - Drivers">
<tournament_length start_date="2010-01-01" end_date="2045-01-01"/>
<sport id="sr:sport:11" name="Motorsport"/>
<category id="sr:category:36" name="Formula 1"/>
</tournament>
```

Example from the upcoming Formula 1 season using sr:stage:\<id>

```xml
<fixture id="sr:stage:549043" scheduled="2020-03-15T05:10:00+00:00" start_time="2020-03-
15T05:10:00+00:00" scheduled_end="2020-03-15T07:10:00+00:00" name="Race" type="child">
<parent id="sr:stage:549027" name="Australian Grand Prix 2020" type="parent"/>
<tournament id="sr:stage:547803" scheduled="2020-03-13T01:00:00+00:00" scheduled_end="2020-
11-29T15:10:00+00:00" name="Formula 1 2020">
<sport id="sr:sport:11" name="Motorsport"/>
<category id="sr:category:36" name="Formula 1"/>
</tournament>
<extra_info/>
<product_info/>
</fixture>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/introduction/key-concepts/specifiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
